/*!
  \file
  \brief Lua への common モジュール登録

  \author Satofumi KAMIMURA

  $Id: luabindCommon.cpp 940 2009-05-29 21:56:03Z satofumi $
*/

#include "luabindCommon.h"
#include "Color.h"
#include <luabind/luabind.hpp>

using namespace qrk;
using namespace luabind;


void qrk::luabindCommon(lua_State* L)
{
  module(L)
    [
     class_<Color>("Color")
     .def(constructor<float, float, float, float>())
     .def_readwrite("r", &Color::r)
     .def_readwrite("g", &Color::g)
     .def_readwrite("b", &Color::b)
     .def_readwrite("a", &Color::a)
     ];
}
